Bug 73991 - [kdebase-devel] Does not work when installed with an umask of 077 and messes filesystem
[kdebase-devel] Does not work when installed with an umask of 077 and messes ...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
http://www.tu-chemnitz.de/~ensc/dirch...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 13:11 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 13:11:40 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/include/kde /usr/include/kde/KBackgroundIface.h
| file /usr/include/kde is not owned by any package
| kdebase-devel-3.0.3-3

IMO kdebase-devel should require the kdelibs-devel package which
provides /usr/include/kde.


Version-Release number of selected component (if applicable):

kdebase-devel-3.0.3-3


How Reproducible:

100%


Steps to Reproduce:
1. umask 077
2. make sure that kdebase-devel is uninstalled completely
   (rm -rf /usr/include/kde)
3. rpm -U kdebase-devel-3.0.3-3.i386.rpm
4. ls -l /usr/include/kde
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e kdebase-devel-3.0.3-3

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 18:37 /usr/include/kde
* files can not be found/read at 5 and
* /usr/include/kde still exists after 6.
Comment 1 Petr Rockai 2006-07-17 14:32:45 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 2 Bill Nottingham 2006-10-18 14:10:03 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.